import ketai.sensors.*;

KetaiSensor sensor;
PVector accelerometer;
float pitch;

void setup()
{
  sensor = new KetaiSensor(this);
  sensor.start();
  accelerometer = new PVector();
  fullScreen(LANDSCAPE);
  textAlign(CENTER, CENTER);
  textSize(28);
}

void draw()
{
  background(78, 93, 75);
  float y = map(pitch,-180,+180,0,height);
  float x = width/2;
  rect(x,y,100,100);
}

void onAccelerometerEvent(float x, float y, float z, long time, int accuracy)
{
  accelerometer.set(x, y, z);
   pitch = atan2(y,z);
   pitch = degrees(pitch);
}
