//portage demo artoolkit sur android - PC, mai2019 

import ketai.camera.*;
import jp.nyatla.nyar4psg.*;

//Capture cam;
KetaiCamera cam;
MultiMarker nya;

void setup() {
  size(640,480,P3D);
  //fullScreen(P3D);
  //orientation(LANDSCAPE);
  sphereDetail(8);
  cam = new KetaiCamera(this, 640, 480, 24);
  cam.start();
  nya=new MultiMarker(this,640,480,"camera_para.dat",NyAR4PsgConfig.CONFIG_PSG);
  nya.addARMarker("patt.hiro",80);
}

void onCameraPreviewEvent() {
  cam.read();
}


void draw() {
  //if (cam.available() !=true) return;
  //cam.read();
  nya.detect(cam);
  background(0);
  lights();
  //nya.drawBackground(cam);
  image(cam, 0,0, width, height); 

  if(!nya.isExist(0)) return;
  
  nya.beginTransform(0);
  fill(0,255,255);
  translate(0,0,20);
  box(40);
  translate(0,0,40);
  fill(255,0,255);
  sphere(20);
  translate(0,0,-40);
  translate(-40,0,0);
  fill(255,255,0);
  sphere(20);
  nya.endTransform();
}
