import processing.vr.*;

void setup(){
  fullScreen(STEREO);
  //size(600,600,P3D);
  //sphereDetail(10);
  noStroke();
}

void draw(){
  background(128);
  // le soleil au centre de la scene
  translate(300,300,0);
  // on place au centre une source de lumiere jaune
  pointLight(255,255,0,0,0,0);
  // la surface exterieur du soleil "emet" aussi du jaune
  emissive(255,255,0);
  sphere(50);
  // arreter l'effet pour les primitives qui suivent
  emissive(0,0,0); 
  // mercure
  pushMatrix();
  rotateY(frameCount*0.01);
  translate(70,0,0);
  sphere(10);
  popMatrix();
  // terre 
  pushMatrix();
  rotateY(frameCount*0.005);
  translate(150,0,0);
  sphere(20);
  popMatrix();
}
  
  
